
package Google::Ads::AdWords::v201806::TypeMaps::FeedItemService;
use strict;
use warnings;

our $typemap_1 = {
               'queryResponse/rval' => 'Google::Ads::AdWords::v201806::FeedItemPage',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201806::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/value/policySummaries/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201806::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/policySummaries/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/endTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/feedItemId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201806::ResellerConstraint',
               'Fault/detail/ApiExceptionFault/errors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/policySummaries/validationStatus' => 'Google::Ads::AdWords::v201806::FeedItemValidationStatus',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]' => 'Google::Ads::AdWords::v201806::SizeLimitError',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201806::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]' => 'Google::Ads::AdWords::v201806::StringLengthError',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/attributeValues/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/attributeValues/moneyWithCurrencyValue/money' => 'Google::Ads::AdWords::v201806::Money',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/reason' => 'Google::Ads::AdWords::v201806::DateError::Reason',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]' => 'Google::Ads::AdWords::v201806::EntityAccessDenied',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/attributeValues/integerValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'get/selector/ordering/sortOrder' => 'Google::Ads::AdWords::v201806::SortOrder',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CriterionError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/attributeValues/stringValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/attributeValues/moneyWithCurrencyValue/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201806::OperationAccessDenied',
               'Fault/detail/ApiExceptionFault/errors[CriterionError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[QueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FeedItemError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FeedItemError]/reason' => 'Google::Ads::AdWords::v201806::FeedItemError::Reason',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FeedItemError]' => 'Google::Ads::AdWords::v201806::FeedItemError',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201806::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[DateError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/geoTargetingRestriction' => 'Google::Ads::AdWords::v201806::FeedItemGeoRestriction',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]' => 'Google::Ads::AdWords::v201806::StringFormatError',
               'Fault/detail/ApiExceptionFault/errors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FeedItemError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]' => 'Google::Ads::AdWords::v201806::QueryError',
               'queryResponse/rval/entries/policySummaries/qualityDisapprovalReasons' => 'Google::Ads::AdWords::v201806::FeedItemQualityDisapprovalReasons',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries' => 'Google::Ads::AdWords::v201806::FeedItem',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201806::PolicyTopicEntryType',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201806::ResellerConstraint',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201806::RateExceededError::Reason',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201806::PolicyTopicEvidenceType',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/attributeValues/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors' => 'Google::Ads::AdWords::v201806::ApiError',
               'get/selector/ordering/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'query' => 'Google::Ads::AdWords::v201806::FeedItemService::query',
               'queryResponse/rval/entries/policySummaries' => 'Google::Ads::AdWords::v201806::FeedItemPolicySummary',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201806::CustomParameter',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CriterionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]' => 'Google::Ads::AdWords::v201806::SelectorError',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201806::AuthorizationError::Reason',
               'getResponse/rval/entries/attributeValues/moneyWithCurrencyValue' => 'Google::Ads::AdWords::v201806::MoneyWithCurrency',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/qualityDisapprovalReasons' => 'Google::Ads::AdWords::v201806::FeedItemQualityDisapprovalReasons',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201806::EntityNotFound::Reason',
               'mutate/operations/operand/attributeValues/moneyWithCurrencyValue' => 'Google::Ads::AdWords::v201806::MoneyWithCurrency',
               'mutateResponse/rval/value/status' => 'Google::Ads::AdWords::v201806::FeedItem::Status',
               'mutateResponse/rval/value/policySummaries/validationErrors' => 'Google::Ads::AdWords::v201806::FeedItemAttributeError',
               'Fault/detail/ApiExceptionFault/errors[CriterionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]' => 'Google::Ads::AdWords::v201806::AuthenticationError',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[IdError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201806::DatabaseError::Reason',
               'mutate/operations/operand/attributeValues/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]' => 'Google::Ads::AdWords::v201806::InternalApiError',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201806::CountryConstraint',
               'queryResponse/rval/entries/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201806::CustomParameter',
               'mutateResponse/rval/value/attributeValues/moneyWithCurrencyValue/currencyCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]' => 'Google::Ads::AdWords::v201806::NullError',
               'mutate' => 'Google::Ads::AdWords::v201806::FeedItemService::mutate',
               'get/selector/paging' => 'Google::Ads::AdWords::v201806::Paging',
               'Fault/detail/ApiExceptionFault/errors[IdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[FeedItemError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/geoTargetingRestriction' => 'Google::Ads::AdWords::v201806::FeedItemGeoRestriction',
               'mutateResponse/rval/partialFailureErrors[FeedItemError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutate/operations/operand/attributeValues/integerValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DateError]/reason' => 'Google::Ads::AdWords::v201806::DateError::Reason',
               'get/selector/dateRange/max' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/attributeValues/moneyWithCurrencyValue/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/denormalizedStatus' => 'Google::Ads::AdWords::v201806::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/partialFailureErrors[IdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201806::ResellerConstraint',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/reason' => 'Google::Ads::AdWords::v201806::SelectorError::Reason',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/validationStatus' => 'Google::Ads::AdWords::v201806::FeedItemValidationStatus',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/denormalizedStatus' => 'Google::Ads::AdWords::v201806::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/denormalizedStatus' => 'Google::Ads::AdWords::v201806::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/attributeValues/doubleValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]' => 'Google::Ads::AdWords::v201806::QuotaCheckError',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201806::PolicyTopicEntryType',
               'Fault/detail/ApiExceptionFault/errors[RequestError]' => 'Google::Ads::AdWords::v201806::RequestError',
               'mutate/operations/operand/attributeValues/integerValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]' => 'Google::Ads::AdWords::v201806::ReadOnlyError',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/policySummaries/reviewState' => 'Google::Ads::AdWords::v201806::PolicySummaryReviewState',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]' => 'Google::Ads::AdWords::v201806::EntityAccessDenied',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201806::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/attributeValues/moneyWithCurrencyValue/money/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]' => 'Google::Ads::AdWords::v201806::RateExceededError',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/reason' => 'Google::Ads::AdWords::v201806::OperatorError::Reason',
               'mutate/operations/operand/policySummaries/validationErrors/feedAttributeIds' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[CriterionError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutate/operations/operand/policySummaries/validationStatus' => 'Google::Ads::AdWords::v201806::FeedItemValidationStatus',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]' => 'Google::Ads::AdWords::v201806::NotEmptyError',
               'queryResponse/rval/entries/policySummaries/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]' => 'Google::Ads::AdWords::v201806::EntityNotFound',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201806::AuthorizationError::Reason',
               'mutateResponse/rval/value/endTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201806::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201806::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]' => 'Google::Ads::AdWords::v201806::DistinctError',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]' => 'Google::Ads::AdWords::v201806::EntityNotFound',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201806::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]' => 'Google::Ads::AdWords::v201806::QuotaCheckError',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]' => 'Google::Ads::AdWords::v201806::SizeLimitError',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201806::ResellerConstraint',
               'Fault/detail/ApiExceptionFault/errors[NullError]' => 'Google::Ads::AdWords::v201806::NullError',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault' => 'Google::Ads::AdWords::v201806::ApiException',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[FeedItemError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/reason' => 'Google::Ads::AdWords::v201806::StringLengthError::Reason',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[DateError]' => 'Google::Ads::AdWords::v201806::DateError',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'get/selector/ordering' => 'Google::Ads::AdWords::v201806::OrderBy',
               'mutateResponse/rval/value/policySummaries/validationErrors/validationErrorCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201806::InternalApiError::Reason',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201806::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]' => 'Google::Ads::AdWords::v201806::AuthenticationError',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]' => 'Google::Ads::AdWords::v201806::NotEmptyError',
               'mutateResponse/rval/partialFailureErrors/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CriterionError]/reason' => 'Google::Ads::AdWords::v201806::CriterionError::Reason',
               'getResponse/rval/entries/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CriterionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/reason' => 'Google::Ads::AdWords::v201806::SelectorError::Reason',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/validationStatus' => 'Google::Ads::AdWords::v201806::FeedItemValidationStatus',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutate/operations/operand/attributeValues/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[UrlError]/reason' => 'Google::Ads::AdWords::v201806::UrlError::Reason',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval' => 'Google::Ads::AdWords::v201806::FeedItemReturnValue',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]' => 'Google::Ads::AdWords::v201806::AuthorizationError',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201806::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/attributeValues/booleanValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse' => 'Google::Ads::AdWords::v201806::FeedItemService::mutateResponse',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries' => 'Google::Ads::AdWords::v201806::PolicyTopicEntry',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault' => 'SOAP::WSDL::SOAP::Typelib::Fault11',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201806::ReadOnlyError::Reason',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[FeedItemError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201806::CollectionSizeError::Reason',
               'mutateResponse/rval/value' => 'Google::Ads::AdWords::v201806::FeedItem',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/reason' => 'Google::Ads::AdWords::v201806::NullError::Reason',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/attributeValues/moneyWithCurrencyValue/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries' => 'Google::Ads::AdWords::v201806::FeedItem',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultactor' => 'SOAP::WSDL::XSD::Typelib::Builtin::token',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/attributeValues/moneyWithCurrencyValue/money' => 'Google::Ads::AdWords::v201806::Money',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[RequestError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/attributeValues/booleanValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/selector/predicates/operator' => 'Google::Ads::AdWords::v201806::Predicate::Operator',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/combinedApprovalStatus' => 'Google::Ads::AdWords::v201806::PolicyApprovalStatus',
               'getResponse/rval/entries/policySummaries' => 'Google::Ads::AdWords::v201806::FeedItemPolicySummary',
               'Fault/detail/ApiExceptionFault/errors[CriterionError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/policySummaries/qualityDisapprovalReasons' => 'Google::Ads::AdWords::v201806::FeedItemQualityDisapprovalReasons',
               'getResponse/rval/entries/attributeValues/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries' => 'Google::Ads::AdWords::v201806::PolicyTopicEntry',
               'mutateResponse/rval/partialFailureErrors[RequestError]' => 'Google::Ads::AdWords::v201806::RequestError',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DistinctError]' => 'Google::Ads::AdWords::v201806::DistinctError',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201806::EntityCountLimitExceeded::Reason',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/attributeValues' => 'Google::Ads::AdWords::v201806::FeedItemAttributeValue',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201806::SizeLimitError::Reason',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/validationErrors/feedAttributeIds' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]' => 'Google::Ads::AdWords::v201806::DatabaseError',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201806::ApiError',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201806::OperationAccessDenied::Reason',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/attributeValues/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/selector/paging/startIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/startTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries' => 'Google::Ads::AdWords::v201806::FeedItemPolicySummary',
               'queryResponse/rval/entries/attributeValues' => 'Google::Ads::AdWords::v201806::FeedItemAttributeValue',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/feedItemId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[FeedItemError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'queryResponse/rval/entries/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201806::ClientTermsError::Reason',
               'get' => 'Google::Ads::AdWords::v201806::FeedItemService::get',
               'Fault/detail/ApiExceptionFault/errors[CriterionError]' => 'Google::Ads::AdWords::v201806::CriterionError',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201806::PolicyTopicEvidence',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'get/selector/predicates' => 'Google::Ads::AdWords::v201806::Predicate',
               'get/selector/fields' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FeedItemError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint',
               'mutateResponse/rval/partialFailureErrors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/urlCustomParameters' => 'Google::Ads::AdWords::v201806::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval' => 'Google::Ads::AdWords::v201806::FeedItemPage',
               'Fault/detail/ApiExceptionFault/errors[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CriterionError]' => 'Google::Ads::AdWords::v201806::CriterionError',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/selector' => 'Google::Ads::AdWords::v201806::Selector',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201806::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201806::QuotaCheckError::Reason',
               'getResponse/rval/entries/startTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]' => 'Google::Ads::AdWords::v201806::RateExceededError',
               'mutateResponse/rval/value/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CriterionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/reason' => 'Google::Ads::AdWords::v201806::StringFormatError::Reason',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/policySummaries/qualityDisapprovalReasons' => 'Google::Ads::AdWords::v201806::FeedItemQualityDisapprovalReasons',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201806::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/attributeValues/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/policySummaries/qualityApprovalStatus' => 'Google::Ads::AdWords::v201806::FeedItemQualityApprovalStatus',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/Operation.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/validationErrors/errorInformation' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/qualityApprovalStatus' => 'Google::Ads::AdWords::v201806::FeedItemQualityApprovalStatus',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/attributeValues/doubleValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/partialFailureErrors[CriterionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RangeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FeedItemError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/validationErrors' => 'Google::Ads::AdWords::v201806::FeedItemAttributeError',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]' => 'Google::Ads::AdWords::v201806::StringLengthError',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/reason' => 'Google::Ads::AdWords::v201806::StringFormatError::Reason',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/value/urlCustomParameters' => 'Google::Ads::AdWords::v201806::CustomParameters',
               'queryResponse/rval/entries/attributeValues/feedAttributeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[FeedItemError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/validationErrors/validationErrorCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201806::ApiError',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[DateError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'getResponse/rval/entries/policySummaries/policyTopicEntries' => 'Google::Ads::AdWords::v201806::PolicyTopicEntry',
               'mutate/operations/operand/policySummaries/feedMappingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[CriterionError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/reason' => 'Google::Ads::AdWords::v201806::RejectedError::Reason',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/reason' => 'Google::Ads::AdWords::v201806::RangeError::Reason',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/attributeValues/doubleValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201806::PolicyTopicEvidenceType',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]' => 'Google::Ads::AdWords::v201806::RequiredError',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'queryResponse/rval/entries/attributeValues/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/attributeValues/moneyWithCurrencyValue/money' => 'Google::Ads::AdWords::v201806::Money',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/reason' => 'Google::Ads::AdWords::v201806::DistinctError::Reason',
               'get/selector/predicates/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FeedItemError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/attributeValues/moneyWithCurrencyValue/currencyCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/geoTargetingRestriction/geoRestriction' => 'Google::Ads::AdWords::v201806::GeoRestriction',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/reason' => 'Google::Ads::AdWords::v201806::RequestError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]' => 'Google::Ads::AdWords::v201806::AuthorizationError',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201806::PolicyTopicEvidence',
               'mutate/operations/operand/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/reason' => 'Google::Ads::AdWords::v201806::RequiredError::Reason',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201806::ClientTermsError::Reason',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201806::EntityAccessDenied::Reason',
               'mutateResponse/rval/partialFailureErrors[CriterionError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/attributeValues' => 'Google::Ads::AdWords::v201806::FeedItemAttributeValue',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/reason' => 'Google::Ads::AdWords::v201806::OperatorError::Reason',
               'mutateResponse/rval/partialFailureErrors[RangeError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/value/attributeValues/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'getResponse/rval/entries/attributeValues/moneyWithCurrencyValue/currencyCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201806::CountryConstraint',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint',
               'mutateResponse/rval/partialFailureErrors[FeedItemError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[CriterionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/validationErrors/errorInformation' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CriterionError]/reason' => 'Google::Ads::AdWords::v201806::CriterionError::Reason',
               'getResponse/rval/entries/endTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/attributeValues' => 'Google::Ads::AdWords::v201806::FeedItemAttributeValue',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/endTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/reason' => 'Google::Ads::AdWords::v201806::RequiredError::Reason',
               'mutateResponse/rval/value/attributeValues/integerValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/attributeValues/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/geoTargetingRestriction' => 'Google::Ads::AdWords::v201806::FeedItemGeoRestriction',
               'mutate/operations/operand/attributeValues/moneyWithCurrencyValue/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/combinedApprovalStatus' => 'Google::Ads::AdWords::v201806::PolicyApprovalStatus',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand' => 'Google::Ads::AdWords::v201806::FeedItem',
               'mutateResponse/rval/partialFailureErrors[UrlError]' => 'Google::Ads::AdWords::v201806::UrlError',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/attributeValues/stringValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/feedMappingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/validationErrors' => 'Google::Ads::AdWords::v201806::FeedItemAttributeError',
               'mutateResponse/rval/partialFailureErrors[QueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RangeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[IdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/attributeValues/stringValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201806::RateExceededError::Reason',
               'queryResponse/rval/entries/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CriterionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201806::AuthenticationError::Reason',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operator' => 'Google::Ads::AdWords::v201806::Operator',
               'queryResponse/rval/entries/geoTargetingRestriction/geoRestriction' => 'Google::Ads::AdWords::v201806::GeoRestriction',
               'mutate/operations/operand/attributeValues/moneyWithCurrencyValue/currencyCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/attributeValues/integerValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/attributeValues/moneyWithCurrencyValue/money/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/reason' => 'Google::Ads::AdWords::v201806::QueryError::Reason',
               'mutateResponse/rval/partialFailureErrors[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RejectedError]' => 'Google::Ads::AdWords::v201806::RejectedError',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[RangeError]/reason' => 'Google::Ads::AdWords::v201806::RangeError::Reason',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FeedItemError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201806::DatabaseError::Reason',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[NullError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/reason' => 'Google::Ads::AdWords::v201806::RequestError::Reason',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FeedItemError]/reason' => 'Google::Ads::AdWords::v201806::FeedItemError::Reason',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/reason' => 'Google::Ads::AdWords::v201806::RejectedError::Reason',
               'queryResponse/rval/entries/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/reason' => 'Google::Ads::AdWords::v201806::IdError::Reason',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]' => 'Google::Ads::AdWords::v201806::CollectionSizeError',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/reason' => 'Google::Ads::AdWords::v201806::DistinctError::Reason',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/qualityApprovalStatus' => 'Google::Ads::AdWords::v201806::FeedItemQualityApprovalStatus',
               'getResponse/rval/entries/attributeValues/stringValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/ListReturnValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201806::PolicyTopicEvidenceType',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/reviewState' => 'Google::Ads::AdWords::v201806::PolicySummaryReviewState',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/combinedApprovalStatus' => 'Google::Ads::AdWords::v201806::PolicyApprovalStatus',
               'mutateResponse/rval/value/policySummaries' => 'Google::Ads::AdWords::v201806::FeedItemPolicySummary',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201806::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/attributeValues/moneyWithCurrencyValue/money/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201806::CollectionSizeError::Reason',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201806::PolicyTopicEvidence',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201806::EntityCountLimitExceeded::Reason',
               'mutateResponse/rval/partialFailureErrors[UrlError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/feedItemId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/attributeValues/moneyWithCurrencyValue/money/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201806::PolicyTopicEvidenceDestinationMismatchUrlType',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]' => 'Google::Ads::AdWords::v201806::CollectionSizeError',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/attributeValues/integerValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/selector/predicates/values' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'get/selector/dateRange/min' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'query/query' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[UrlError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'ApiExceptionFault/errors/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201806::InternalApiError::Reason',
               'mutate/operations/operand/status' => 'Google::Ads::AdWords::v201806::FeedItem::Status',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201806::NotEmptyError::Reason',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]' => 'Google::Ads::AdWords::v201806::OperatorError',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]' => 'Google::Ads::AdWords::v201806::InternalApiError',
               'mutateResponse/rval/partialFailureErrors[OperatorError]' => 'Google::Ads::AdWords::v201806::OperatorError',
               'mutateResponse/rval/partialFailureErrors[RequiredError]' => 'Google::Ads::AdWords::v201806::RequiredError',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/geoTargetingRestriction' => 'Google::Ads::AdWords::v201806::FeedItemGeoRestriction',
               'mutateResponse/rval/value/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'ApiExceptionFault/errors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/attributeValues/moneyWithCurrencyValue/money/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/reason' => 'Google::Ads::AdWords::v201806::UrlError::Reason',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201806::EntityCountLimitExceeded',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/attributeValues/stringValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/validationErrors/errorInformation' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultstring' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'ApiExceptionFault/errors/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/attributeValues/integerValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/validationErrors/validationErrorCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201806::SizeLimitError::Reason',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/feedId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]' => 'Google::Ads::AdWords::v201806::SelectorError',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/reason' => 'Google::Ads::AdWords::v201806::StringLengthError::Reason',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[DateError]' => 'Google::Ads::AdWords::v201806::DateError',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/attributeValues/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]/reason' => 'Google::Ads::AdWords::v201806::QueryError::Reason',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201806::OperationAccessDenied::Reason',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/reason' => 'Google::Ads::AdWords::v201806::NullError::Reason',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201806::ReadOnlyError::Reason',
               'getResponse/rval/entries/urlCustomParameters' => 'Google::Ads::AdWords::v201806::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/urlCustomParameters' => 'Google::Ads::AdWords::v201806::CustomParameters',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201806::PolicyTopicEntryType',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint',
               'Fault/detail/ApiExceptionFault/errors[IdError]/reason' => 'Google::Ads::AdWords::v201806::IdError::Reason',
               'mutateResponse/rval/partialFailureErrors[DateError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/feedItemId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201806::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/value/attributeValues/moneyWithCurrencyValue/money/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries' => 'Google::Ads::AdWords::v201806::PolicyTopicEntry',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/geoTargetingRestriction/geoRestriction' => 'Google::Ads::AdWords::v201806::GeoRestriction',
               'getResponse/rval/entries/attributeValues/moneyWithCurrencyValue/money/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/reviewState' => 'Google::Ads::AdWords::v201806::PolicySummaryReviewState',
               'queryResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummaries/validationErrors/feedAttributeIds' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations' => 'Google::Ads::AdWords::v201806::FeedItemOperation',
               'queryResponse/rval/entries/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/attributeValues/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RangeError]' => 'Google::Ads::AdWords::v201806::RangeError',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]' => 'Google::Ads::AdWords::v201806::StringFormatError',
               'queryResponse/rval/entries/status' => 'Google::Ads::AdWords::v201806::FeedItem::Status',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/validationErrors' => 'Google::Ads::AdWords::v201806::FeedItemAttributeError',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]' => 'Google::Ads::AdWords::v201806::ReadOnlyError',
               'getResponse/rval/entries/status' => 'Google::Ads::AdWords::v201806::FeedItem::Status',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201806::NotEmptyError::Reason',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/validationErrors/feedAttributeIds' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse' => 'Google::Ads::AdWords::v201806::FeedItemService::queryResponse',
               'queryResponse/rval/entries/attributeValues/moneyWithCurrencyValue/money' => 'Google::Ads::AdWords::v201806::Money',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'queryResponse/rval/entries/startTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/selector/paging/numberResults' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutate/operations/operand/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201806::CustomParameter',
               'mutateResponse/rval/value/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201806::AuthenticationError::Reason',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'getResponse/rval/entries/policySummaries/feedMappingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201806::CertificateMissingConstraint',
               'mutateResponse/rval/value/attributeValues/booleanValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FeedItemError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/startTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/attributeValues/moneyWithCurrencyValue' => 'Google::Ads::AdWords::v201806::MoneyWithCurrency',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CriterionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail' => 'Google::Ads::AdWords::FaultDetail',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]' => 'Google::Ads::AdWords::v201806::DatabaseError',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]' => 'Google::Ads::AdWords::v201806::ClientTermsError',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'queryResponse/rval/entries/policySummaries/reviewState' => 'Google::Ads::AdWords::v201806::PolicySummaryReviewState',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[IdError]' => 'Google::Ads::AdWords::v201806::IdError',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201806::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201806::QuotaCheckError::Reason',
               'queryResponse/rval/entries/policySummaries/combinedApprovalStatus' => 'Google::Ads::AdWords::v201806::PolicyApprovalStatus',
               'queryResponse/rval/entries/attributeValues/moneyWithCurrencyValue/money/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/geoTargetingRestriction/geoRestriction' => 'Google::Ads::AdWords::v201806::GeoRestriction',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'getResponse/rval/entries/attributeValues/integerValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201806::OperationAccessDenied',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/attributeValues/doubleValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::anyURI',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/attributeValues/booleanValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[RangeError]' => 'Google::Ads::AdWords::v201806::RangeError',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]' => 'Google::Ads::AdWords::v201806::ClientTermsError',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201806::PolicyTopicEvidence',
               'ApiExceptionFault/errors/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'getResponse/rval/entries/policySummaries/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UrlError]' => 'Google::Ads::AdWords::v201806::UrlError',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault' => 'Google::Ads::AdWords::v201806::ApiException',
               'Fault/detail/ApiExceptionFault/errors[IdError]' => 'Google::Ads::AdWords::v201806::IdError',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201806::EntityNotFound::Reason',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201806::EntityCountLimitExceeded',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/attributeValues/moneyWithCurrencyValue' => 'Google::Ads::AdWords::v201806::MoneyWithCurrency',
               'mutate/operations/operand/policySummaries/validationErrors/validationErrorCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201806::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse' => 'Google::Ads::AdWords::v201806::FeedItemService::getResponse',
               'mutateResponse/rval/value/attributeValues/doubleValues' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]' => 'Google::Ads::AdWords::v201806::RejectedError',
               'mutate/operations/operand/policySummaries/qualityApprovalStatus' => 'Google::Ads::AdWords::v201806::FeedItemQualityApprovalStatus',
               'mutateResponse/rval/value/policySummaries/feedMappingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/selector/dateRange' => 'Google::Ads::AdWords::v201806::DateRange',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/validationErrors/errorInformation' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[UrlError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201806::EntityAccessDenied::Reason',
               'mutate/operations/operand/policySummaries/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201806::PolicyTopicEntryType',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FeedItemError]' => 'Google::Ads::AdWords::v201806::FeedItemError',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]' => 'Google::Ads::AdWords::v201806::QueryError',
               'mutateResponse/rval/value/policySummaries/denormalizedStatus' => 'Google::Ads::AdWords::v201806::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/attributeValues/booleanValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/policySummaries/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201806::PolicyTopicConstraint',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/fieldPathElements' => 'Google::Ads::AdWords::v201806::FieldPathElement',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201806::CountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/policySummaries/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201806::CountryConstraint'
             };
;

sub get_class {
  my $name = join '/', @{ $_[1] };
  return $typemap_1->{ $name };
}

sub get_typemap {
    return $typemap_1;
}

1;

__END__

__END__

=pod

=head1 NAME

Google::Ads::AdWords::v201806::TypeMaps::FeedItemService - typemap for FeedItemService

=head1 DESCRIPTION

Typemap created by SOAP::WSDL for map-based SOAP message parsers.

=cut

